LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-18-2009, 08:39 AM   #1
ngothuhang
LQ Newbie
 
Registered: Apr 2009
Posts: 5

Rep: Reputation: 0
Unhappy I need "miniperlmain.o"


Hi all
I am trying to install openCA and one of the packages that i need is perl-5.6.0.tar.gz. when i installed this package. There was a following error: "No rule to make target <command line>, needed by miniperlmain.o. Stop". I tried to search it on Internet but i didnt find it. I tried to install perl5.005-03 and perl5.005-04 but i still met the same error. I dont know how can i get miniperlmain.o
I hope someone help me
Thanks !
 
Old 04-18-2009, 08:57 AM   #2
Nylex
LQ Addict
 
Registered: Jul 2003
Location: London, UK
Distribution: Slackware
Posts: 7,464

Rep: Reputation: Disabled
Which distro are you using? Are you sure that there is no package available for Perl that meets the requirements of openCA? You should check first, before going and installing (or attempting to install) from source.
 
Old 04-18-2009, 10:07 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153
There are some packages, openCA
http://www.openca.org/projects/openca/downloads.shtml

The file INSTALL in the 'source code' says : perl 5.6.1+ ....
meaning : 5.6.1 or newer, so 5.8.x .. 5.10.x are fine.

( Compiles in a minute with perl 5.10.0 ).
.....
Please consider these perl modules too
DB_File OpenCA::CRL OpenCA::OpenSSL OpenCA::REQ OpenCA::Tools
OpenCA::X509 OpenCA::CRL OpenCA::REQ
OpenCA-DBI OpenCA::Configuration
(( http://search.cpan.org/search?query=...3A&mode=module ))
.....

Last edited by knudfl; 04-18-2009 at 01:52 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
how can I "cat" or "grep" a file to ignore lines starting with "#" ??? callagga Linux - Newbie 7 08-16-2013 07:58 AM
net working eth0 eth1 wlan0 "no connection" "no LAN" "no wi-fi" Cayitano Linux - Newbie 5 12-09-2007 08:11 PM
Standard commands give "-bash: open: command not found" even in "su -" and "su root" mibo12 Linux - General 4 11-11-2007 11:18 PM
LXer: Displaying "MyComputer", "Trash", "Network Servers" Icons On A GNOME Desktop LXer Syndicated Linux News 0 04-02-2007 09:31 AM
Any way to get "Alice"; "Call of Duty" series and "Descent 3" to work? JBailey742 Linux - Games 13 06-23-2006 02:34 PM


All times are GMT -5. The time now is 06:30 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration